/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.core;

/**
  * This class declares constants that correspond to values for
  * the &lt;DevTyp&gt; element in SyncML devinf DTD
  * <br>
  * <br>
  * The constructor is private because developers do not
  * need to construct instances of this class.
  *
  *
  * @see DevInf
  *
  * @version $Id: DevTyp.java,v 1.3 2007/01/11 19:30:39 nichele Exp $
  */
public final class DevTyp {
    // --------------------------------------------------------------- Constants
    public static final String PAGER = "pager";
    public static final String HANDHELD = "handheld";
    public static final String PDA = "pda";
    public static final String PHONE = "phone";
    public static final String SMARTPHONE = "smartphone";
    public static final String SERVER = "server";
    public static final String WORKSTATION = "workstation";

    private DevTyp() {}

}
