/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.core;

/**
 * Corresponds to the &lt;VerDTD&gt; tag in the SyncML devinf DTD
 *
 *
 *
 * @version $Id: VerDTD.java,v 1.4 2007/01/11 19:30:39 nichele Exp $
 */
public final class VerDTD
implements java.io.Serializable {

    // ------------------------------------------------------------ Private data

    private String value;

    // ------------------------------------------------------------ Constructors

    /** For serialization purposes */
    protected VerDTD() {}

    /**
     * Creates a new VerDTD object with the given value
     *
     * @param value the version - NOT NULL
     *
     */
    public VerDTD(final String value) {
        setValue(value);
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Gets value properties
     *
     * @return value properties
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the version of DTD
     *
     * @param value the version of DTD
     */
    public void setValue(String value) {
        if ((value == null) || (value.length() == 0)) {
            throw new IllegalArgumentException("value cannot be null or empty");
        }
        this.value = value;
    }

    /**
     * Compares the string value to the specified input object.
     *
     * @param obj the object to be compared
     *
     * @return true if the specified input object equals the value of the
     *         VerDTD object
     *
     */
    public boolean equals(Object obj) {
        if ((obj instanceof VerDTD) == false) {
            return false;
        }
        return (((VerDTD) obj).getValue().equals(value));
    }
}
