/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine;

import com.funambol.framework.engine.SyncItem;
import com.funambol.framework.engine.SyncOperationImpl;

/**
 * A synchronization conflict reflects a situation where one item has changed
 * in both the sources involved in the synchronization. See SyncProcess for
 * more details.
 *
 *
 *
 * @version $Id: SyncConflict.java,v 1.3 2007/01/11 19:30:39 nichele Exp $
 */
public class SyncConflict extends SyncOperationImpl {

    // -------------------------------------------------------------- Properties

    /**
     * The type of this operation
     */
    private String type;
    public String getType() {
        return this.type;
    }

    // ------------------------------------------------------------ Constructors

    public SyncConflict() {
    }

    public SyncConflict(SyncItem SyncItemA, SyncItem SyncItemB, String type) {
        super(SyncItemA, SyncItemB, CONFLICT);

        this.type = type;
    }
}
