/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine.dm;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Represent a description of a sent command.
 *
 * @version $Id: ManagementCommandDescriptor.java,v 1.1 2007/02/24 16:07:58 nichele Exp $
 */
public class ManagementCommandDescriptor {

    // The message id of the message that contains the command
    private String msgId;

    // The command id
    private String cmdId;

    // The command name
    private String commandName;

    /**
     * Getter for property msgId
     * @return the msgId
     */
    public String getMsgId() {
        return msgId;
    }

    /**
     * Setter for property msgId
     * @param msgId the new value
     */
    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    /**
     * Getter for property cmdId
     * @return the cmdId
     */
    public String getCmdId() {
        return cmdId;
    }

    /**
     * Setter for property cmdId
     * @param cmdId the new value
     */
    public void setCmdId(String cmdId) {
        this.cmdId = cmdId;
    }

    /**
     * Getter for property commandName
     * @return the commandName
     */
    public String getCommandName() {
        return commandName;
    }

    /**
     * Setter for property commandName
     * @param commandName the new value
     */
    public void setCommandName(String commandName) {
        this.commandName = commandName;
    }


    // ------------------------------------------------------------- Constructor

    /**
     * Creates a new ManagementCommandDescriptor
     * @param msgId String
     * @param cmdId String
     * @param commandName String
     */
    public ManagementCommandDescriptor(String msgId,
                                       String cmdId,
                                       String commandName) {

        this.msgId       = msgId;
        this.cmdId       = cmdId;
        this.commandName = commandName;
    }


    /**
     * Returns a String representation of this ManagementCommandDescriptor
     * @return a String representation of this ManagementCommandDescriptor
     */
    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);

        sb.append("MsgId"      , msgId).
           append("CmdId"      , cmdId).
           append("CommandName", commandName);

        return sb.toString();
    }
}