/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine.dm;

/**
 * Base class for the various management operation.
 * <p>
 * The following operations are allowed in OMA DM:
 * <ul>
 *  <li>Add</li>
 *  <li>Atomic</li>
 *  <li>Copy</li>
 *  <li>Delete</li>
 *  <li>Exec</li>
 *  <li>Get</li>
 *  <li>Replace</li>
 *  <li>Sequence</li>
 * </ul>
 *
 * Each operation will be represented by a dedicated subclass.
 *
 *
 *
 * @version $Id: ManagementOperation.java,v 1.3 2007/01/11 19:30:40 nichele Exp $
 */
public abstract class ManagementOperation {

    // ------------------------------------------------------------ Private data

    // ------------------------------------------------------------ Constructors

    protected ManagementOperation() {
    }

    // ---------------------------------------------------------- Public methods

    public abstract String getDescription();

}
