/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.logging;

import java.util.logging.Logger;

import com.p6spy.engine.logging.appender.FormattedLogger;
import com.p6spy.engine.logging.appender.P6Logger;

/**
 * Appender for P6Spy SQL logger.
 *
 * @version $Id: P6SpyLogger.java,v 1.3 2007/01/11 19:30:40 nichele Exp $
 */
public class P6SpyLogger extends FormattedLogger implements P6Logger {
    public static final String LOG_NAME = "funambol.log.sql";

    protected Logger log = null;

    public P6SpyLogger() {
        log = Logger.getLogger(LOG_NAME);
    }

    public void logSQL(int    connectionId,
                       String now         ,
                       long   elapsed     ,
                       String category    ,
                       String prepared    ,
                       String sql         ) {

        StringBuffer sb = new StringBuffer();

        sb.append(now).append(' ');
        sb.append((connectionId==-1 ? "" : String.valueOf(connectionId))).append(' ');
        sb.append(category).append(' ');

        if ((prepared != null) && (prepared.length() >= 0)) {
            logText(sb.toString() + prepared);
        }

        sb.append(elapsed).append(' ');
        sb.append(sql).append(' ');

        logText(sb.toString());
    }

    public void logText(String text) {
        log.info(text);
        setLastEntry(text);
    }

    public void logException(Exception e) {
        log.throwing("-", "-", e);
    }
}
