/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.notification;

import com.funambol.framework.core.dm.bootstrap.SyncMLDM;


/**
 * Represents a builder for a bootstrap message.
 *
 *
 *
 * @version $Id: BootstrapMessageBuilder.java,v 1.4 2007/01/11 19:30:40 nichele Exp $
 */
public interface BootstrapMessageBuilder {

    // ---------------------------------------------------------- Public Methods

    /**
     * Returns the wbxml representation of the bootstrap message for the given <code>SycnMLDM</code> object.
     *
     * @param serverUri the server URI
     * @param deviceUri the device id
     * @param phoneNumber the phone number
     * @param syncMLDM the SyncMLDM object
     *
     * @throws NotificationException if a error occurs during  message creation
     * @return byte[] the wbxml representation of the bootstrap messege
     */
    public byte[] buildMessage(String serverUri, String deviceUri,
                               String phoneNumber, SyncMLDM syncMLDM) throws NotificationException;


}
