/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.notification;


/**
 * Represents the body of the Notification message in according with the SyncML DM specification.
 *
 *
 *
 * @version $Id: TriggerBodyNotificationMessage.java,v 1.4 2007/01/11 19:30:40 nichele Exp $
 */
public class TriggerBodyNotificationMessage {

    // -------------------------------------------------------------- Properties
    private byte[] bodyMessage;

    // ------------------------------------------------------------ Constructors

    public TriggerBodyNotificationMessage() {}

    /**
     * Creates a new TriggerBodyNotificationMessage object with the given parameters
     *
     * @param bodyMessage
     */
    public TriggerBodyNotificationMessage(final byte[] bodyMessage) {
        this.bodyMessage = bodyMessage;
    }

    // ---------------------------------------------------------- Public methods
    /**
     * Gets the bodyMessage
     *
     * @return  the bodyMessage
     */
    public byte[] getBodyMessage() {
        return bodyMessage;
    }

    /**
     * Sets the bodyMessage
     *
     * @param  bodyMessage the bodyMessage

     */
    public void setBodyMessage(byte[] bodyMessage) throws NotificationException {
        this.bodyMessage = bodyMessage;
    }


}
