/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.protocol;

/**
 * This interface grups flags used to drive the reading and the creations of
 * syncml packages.
 *
 *
 * @version $Id: Flags.java,v 1.3 2007/01/11 19:30:40 nichele Exp $
 */
public interface Flags {

    public static int HOW_MANY_FLAGS = 11;

    /**
     * Generic flags
     */
    public static int FLAG_ALL                    = -1;
    public static int FLAG_ALL_RESPONSES_REQUIRED = -2;

    /**
     * Specific flags
     */
    public static int FLAG_SYNC_RESPONSE_REQUIRED          =  0;
    public static int FLAG_MODIFICATIONS_RESPONSE_REQUIRED =  1;
    public static int FLAG_SYNC_STATUS_REQUIRED            =  2;
    public static int FLAG_FINAL_MESSAGE                   =  3;

    /**
     * should a deleted item be archived ?
     */
    public static int FLAG_ARCHIVE_DATA                    =  4;

    /**
     * are deletions soft deletions?
     */
    public static int FLAG_SOFT_DELETE                     =  5;

    /**
     * Is an Alert required?
     */
    public static int FLAG_ONE_ALERT_REQUIRED              =  6;

    /**
     * Is an Session abort required?
     */
    public static int FLAG_SESSION_ABORT_REQUIRED          =  7;

    /**
     * Are demands more messages ?
     */
    public static int FLAG_MORE_MSG_REQUIRED               =  8;

    /**
     * Server must send an abort alert ?
     */
    public static int FLAG_SERVER_ABORT_REQUIRED           =  9;

    /**
     * Server not must send a chal ?
     */
    public static int FLAG_CHAL_NOT_REQUIRED               =  10;
}
