/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.tools;

import org.apache.commons.lang.StringUtils;

/**
 * Container of utility methods to handle xml
 *
 *
 * @version $Id: XMLTools.java,v 1.2 2007/01/11 19:30:50 nichele Exp $
 */
public class XMLTools {


    /**
     * Replace into message the char '&' with '&amp;amp;'
     * (if the character isn't the fisrt char of &amp;amp; or &amp;lt; or &amp;gt; or &amp;quot;)
     * @param message the original message xml
     *
     * @return message the message updated
     */
    public static String replaceAmp(String message) {
        StringBuffer sb = new StringBuffer();
        int numCh = message.length();

        String temp = null;

        // char[] of the message
        char[] chString = null;
        chString = message.toCharArray();

        for (int i = 0; i < numCh; i++) {
            sb.append(chString[i]);
            if (chString[i] == '&') {
                int t = 0;
                if ((i + 6) > numCh) {
                    t = numCh;
                } else {
                    t = i + 6;
                }
                temp = message.substring(i + 1, t);
                if (!temp.startsWith("amp;") &&
                    !temp.startsWith("lt;") &&
                    !temp.startsWith("gt;") &&
                    !temp.startsWith("quot;")) {
                    // convert '&' in '&amp;' adding 'amp;' in the StringBuffer
                    sb.append("amp;");
                } else {
                    // '&' is already in '&amp;' form
                }
            }
        }
        return sb.toString();
    }

}
