/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.notification;

import com.funambol.framework.notification.*;

/**
 *
 *
 *
 * @version $Id: GenericNotificationMessageBuilder.java,v 1.4 2007/01/11 19:31:02 nichele Exp $
 */
public class GenericNotificationMessageBuilder implements NotificationMessageBuilder {


    // ---------------------------------------------------------- Public Methods


    public byte[] buildMessage(int sessionId, String phoneNumber, String serverId,
                               String serverPw, byte[] serverNonce, float dmProtocolVersion)
        throws NotificationException {

        TriggerHeaderNotificationMessage header = new TriggerHeaderNotificationMessage();
        header.setInitiator(TriggerHeaderNotificationMessage.INITIATOR_CLIENT);
        header.setUiMode(TriggerHeaderNotificationMessage.UI_MODE_NOT_SPECIFIED);
        header.setVersion(dmProtocolVersion);

        header.setServerIdentifier(serverId);

        header.setSessionId(sessionId);

        DigestNotificationMessage digestMessage = new DigestNotificationMessage();
        digestMessage.setNonce(serverNonce);
        digestMessage.setServerId(serverId);
        digestMessage.setServerPw(serverPw);

        // Uncomment if you want a body message
        /*
                 TriggerBodyNotificationMessage bodyMessage = new TriggerBodyNotificationMessage();
                 byte[] body = {4, 68};
                 bodyMessage.setBodyMessage(body);
         */

        TriggerNotificationMessage notificationMsg = new TriggerNotificationMessage();
        notificationMsg.setDigest(digestMessage);
        notificationMsg.setHeader(header);

        // Uncomment if you want a body message
        /*
                 notificationMsg.setBody(bodyMessage);
         */

        byte[] msg = notificationMsg.computeTriggerNotificationMessage();

        return msg;
    }


}
