/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.notification;

import java.io.InputStream;

import org.kxml.wap.WbxmlParser;

/**
 * A parser for WapProvisioningDoc built on top of the WbxmlParser by
 * setting the corresponding TagTable defined in the class WapProvisioningDocWBXML
 *
 *
 * @version $Id $
 */
public class WapProvisioningDocParser extends WbxmlParser {

    /**
     * Calls constructor of WbxmlParser and sets then the appropriate tag table
     *
     * @param in an <code>InputStream</code> value
     * @exception Exception if an error occurs
     */
    public WapProvisioningDocParser (InputStream in) throws Exception {
        super(in);

        setTagTable(0, WapProvisioningDocWBXML.tagTable[0]);
        setTagTable(1, WapProvisioningDocWBXML.tagTable[1]);

        setAttrStartTable(0, WapProvisioningDocWBXML.attributeStartTable[0]);
        setAttrStartTable(1, WapProvisioningDocWBXML.attributeStartTable[1]);

        setAttrValueTable(0, WapProvisioningDocWBXML.paramValueTable[0]);
        setAttrValueTable(1, WapProvisioningDocWBXML.paramValueTable[1]);
    }
}
